'///////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////
'//
'//  Indigo Terminal Emulator
'//  Date/Time Replacements Sample VB Script
'//  Version 1.0
'//
'//                             shadeBlue Software Solutions
'//                             http://www.shadeblue.com
'//
'///////////////////////////////////////////////////////////
'///////////////////////////////////////////////////////////
 
'//-----------------------------------------------------------
'// This function will no take any action on received data
'// it will pass unaltered to the session data window.
'//-----------------------------------------------------------
Function DoNothing(ByVal data)
  ' // DO NOTHING
  DoNothing = data
End Function
 
'//-----------------------------------------------------------
'// This event handler will process all command data
'// destimted to the connected device/host.  It will process
'// the data looking for replacement tokens.  If a substitution 
'// token in found, it will replace the token with the 
'// appropriate text.
'//-----------------------------------------------------------
Function Host_Send(Byval command)
  Dim result
  result = command
  result = replace(result, "{DATE}", Date)
  result = replace(result, "{YEAR}", Year(Date))
  result = replace(result, "{MONTH}", Month(Date))
  result = replace(result, "{DAY}", Day(Date))
  result = replace(result, "{TIME}", Time)
  result = replace(result, "{HOUR}", Hour(Time))
  result = replace(result, "{MINUTE}", Minute(Time))
  result = replace(result, "{SECOND}", Second(Time))
  Host_Send = result 
End Function